Overview
DELETE
/discussion/posts/{id}discussionSoft-delete a reply post (author or admin; not the opening post)
Delete a record from posts by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
204
Post deleted
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/discussion/posts/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/discussion/posts/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();